## org.apache.http.impl.conn
Class Wire

    java.lang.Object
      org.apache.http.impl.conn.Wire

    @Immutable
    public class Wire

extends Object

Logs data to the wire LOG.

Since:
  4.0

Constructor Summary
`Wire(org.apache.commons.logging.Log log)`

Method Summary
`boolean` `enabled()`
`void` `input(byte[] b)`
`void` `input(byte[] b, int off, int len)`
`void` `input(InputStream instream)`
`void` `input(int b)`
`void` `input(String s)` Deprecated.
`void` `output(byte[] b)`
`void` `output(byte[] b, int off, int len)`
`void` `output(InputStream outstream)`
`void` `output(int b)`
`void` `output(String s)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Wire

    public Wire(org.apache.commons.logging.Log log)

Method Detail

### enabled

    public boolean enabled()

### output

    public void output(InputStream outstream)
                throws IOException

  Throws:
    `IOException`

### input

    public void input(InputStream instream)
               throws IOException

  Throws:
    `IOException`

### output

    public void output(byte[] b,
                       int off,
                       int len)
                throws IOException

  Throws:
    `IOException`

### input

    public void input(byte[] b,
                      int off,
                      int len)
               throws IOException

  Throws:
    `IOException`

### output

    public void output(byte[] b)
                throws IOException

  Throws:
    `IOException`

### input

    public void input(byte[] b)
               throws IOException

  Throws:
    `IOException`

### output

    public void output(int b)
                throws IOException

  Throws:
    `IOException`

### input

    public void input(int b)
               throws IOException

  Throws:
    `IOException`

### output

    @Deprecated
    public void output(String s)
                throws IOException

  Deprecated.

  Throws:
    `IOException`

### input

    @Deprecated
    public void input(String s)
               throws IOException

  Deprecated.

  Throws:
    `IOException`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.